Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.simpl
Class SystemPropertyInstanceIdGenerator

    java.lang.Object
      org.quartz.simpl.SystemPropertyInstanceIdGenerator

All Implemented Interfaces:
  InstanceIdGenerator

    public class SystemPropertyInstanceIdGenerator

extends Object
implements InstanceIdGenerator

InstanceIdGenerator that will use a `system property` to configure the scheduler. If no value set for the property, a `SchedulerException` is thrown

Author:
  Alex Snaps

Field Summary
`static String` | `SYSTEM_PROPERTY` System property to read the instanceId from

Constructor Summary
`SystemPropertyInstanceIdGenerator()`

Method Summary
`String` | `generateInstanceId()` Returns the cluster wide value for this scheduler instance's id, based on a system property

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYSTEM_PROPERTY

    public static final String SYSTEM_PROPERTY

  System property to read the instanceId from

  See Also:
    Constant Field Values

Constructor Detail

### SystemPropertyInstanceIdGenerator

    public SystemPropertyInstanceIdGenerator()

Method Detail

### generateInstanceId

    public String generateInstanceId()
                              throws SchedulerException

  Returns the cluster wide value for this scheduler instance's id, based on a system property

  Specified by:
    `generateInstanceId` in interface `InstanceIdGenerator`
  Returns:
    the value of the `system property`
  Throws:
    `SchedulerException` - Shouldn't a value be found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.